﻿@model IEnumerable<EMartVG.Models.Orden>

@{
    ViewBag.Title = "Carro de Compras";
}

<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Orden</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/ProductoVenta/Orden/" style="color:white">Ordenes</a></li>
        <li class="breadcrumb-item active" aria-current="~/Cliente/CreaCliente/">ordenes</li>
    </ol>
</nav>
<div style="color: white;background-color:black; opacity:0.8; padding:25px">
    <form method="post">
        <table class="table" style="color:white">
            <tr>
                <th>
                    <label>Id Producto</label>
                </th>
                <th>
                    <label>Cantidad</label>
                </th>
                <th>
                    <label>Nombre Producto</label>
                </th>
                <th>
                    <label>Unitario</label>
                </th>
                <th>
                    <label>Sub Total</label>
                </th>
                <th></th>
            </tr>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Id_Producto)
                        <input hidden type="number" name="Id_Carro" id="Id_Carro" value="@item.Id_Carro" />
                        <input type="hidden" name="Id_Orden" value="@item.Id_Orden" />
                        <input hidden type="text" name="Nombre_Producto" id="Nombre_Producto" value="@item.Producto.Nombre_Producto" />
                        <input hidden type="text" name="Precio_Producto" id="Precio_Producto" value="@item.Producto.Precio_Producto" />
                    </td>
                    <td>
                        <input class="form-control" type="number" id="Cantidad" name="Cantidad" pattern="^[0-9]+" min="1" max="@item.Producto.Stock_Producto" maxlength="50" value="@item.Cantidad" />
                    </td>
                    <td>
                        <label>@item.Producto.Nombre_Producto</label>

                    </td>
                    <td>
                        <label id="lCantidad">@item.Cantidad</label>
                        <label>x</label>
                        <label>$</label>
                        <label id="Precio">@item.Producto.Precio_Producto</label>
                    </td>
                    <td>
                        @{

                            var Preciocantidad = item.Cantidad * item.Producto.Precio_Producto;

                            int displayPrecioCant = (int)Preciocantidad;
                        }
                        <input type="number" hidden name="PrecioCantidad" id="PrecioCantidad" value="@Preciocantidad" />
                        <label id="lPrecioCantidad"> @displayPrecioCant.ToString("C")</label>
                    </td>
                    <td>

                        @Html.ActionLink("Eliminar", "EliminaProductoCarro", new { id = item.Id_Orden })

                    </td>
                </tr>
            }
        </table>
        <!--RESUMEN-->
        <div class="row" style="margin-bottom:35px;">
            <div class="col-md-12">
                <div class="float-md-right">
                    @{
                        double? total = 0;
                        int displayTotal = 0;
                        foreach (var item in Model)
                        {
                            total += item.PrecioCantidad;
                            displayTotal = (int)total;
                        }

                    }
                    <h2>Total: @displayTotal.ToString("C")</h2>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <!--ACTUALIZA EL NÚMERO DE UNIDADES -->
                    <input class="btn btn-light btn-block" type="submit" name="name" value="Actualizar Carro" />
                </div>
                <div class="form-group">

                    <input class="btn btn-light btn-block" type="button" onclick="document.location.href='@Url.Content("~/Home/Index")'" name="name" value="Seguir Comprando" />
                </div>

                <div class="form-group">
                    <!--ENVIA A PERFIL PARA EDITAR INFORMACION-->
                    <input class="btn btn-light btn-block" value="Actualizar Referencias" type="button" onclick="document.location.href='@Url.Content("~/Cliente/PerfilCliente")'" />
                </div>
            </div>

            <div class="col-md-6">
                <div class="form-group float-right">
                    <!--PRODECE CON LA COMPRA-->
                    <input class="btn btn-light btn-block" type="button" name="name" value="Continuar Compra" onclick="document.location.href='@Url.Content("~/ProductoVenta/Crea_DetalleCompra")'" />
                </div>
            </div>
        </div>
    </form>
</div>
<!--PENDIENTE VALIDACIONES-->
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")


}


